Skip to navigation

List payment methods

Beta
View as MarkdownOpen in Claude
Lists payment methods with optional filtering and pagination.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

accountOwnerstringOptional
Filter by the entity that owns the payment method.
ownerTypeenumOptional
Filter by owner type.
Allowed values:
statusstringOptional
Filter by payment method status.
typestringOptional
Filter by payment method type.
limitintegerOptional
Number of results per page.
pageintegerOptional
Page number to return.
sortBystringOptional
Field to sort by.
sortOrderstringOptional
Sort direction.

Response

A page of payment methods.
successboolean
Whether the request succeeded.
messagestring or null

A human-readable result message.

traceIdstring or null
The trace identifier for the request, useful for support.
dataobject or null
The page of payment methods.

Errors

401
Unauthorized Error
500
Internal Server Error